From: "Natural Language Processing, Japanese"
 <pkg-nlp-ja-devel@lists.alioth.debian.org>
Date: Mon, 21 Nov 2016 05:31:58 +0000
Subject: hurd_support

---
 lib/chalib.c         | 5 +++++
 lib/iotool.c         | 5 +++++
 mkchadic/translate.c | 5 +++++
 3 files changed, 15 insertions(+)

diff --git a/lib/chalib.c b/lib/chalib.c
index cddf51b..c8296aa 100644
--- a/lib/chalib.c
+++ b/lib/chalib.c
@@ -35,6 +35,11 @@
 #include "literal.h"
 #include "tokenizer.h"
 
+// GNU/Hurd doen't have PATH_MAX
+#ifndef PATH_MAX
+#define PATH_MAX 1024
+#endif
+
 #define CHA_NAME       "ChaSen"
 
 #define STR_UNSPECIFIED "UNSPEC"
diff --git a/lib/iotool.c b/lib/iotool.c
index 7737858..b425573 100644
--- a/lib/iotool.c
+++ b/lib/iotool.c
@@ -54,6 +54,11 @@
 #define REG_GRAMMAR "grammar"
 #endif
 
+// GNU/Hurd doen't have PATH_MAX
+#ifndef PATH_MAX
+#define PATH_MAX 1024
+#endif
+
 int Cha_lineno, Cha_lineno_error;
 int Cha_errno = 0;
 
diff --git a/mkchadic/translate.c b/mkchadic/translate.c
index af54765..0c9c83d 100644
--- a/mkchadic/translate.c
+++ b/mkchadic/translate.c
@@ -47,6 +47,11 @@
 
 #define MRPH_WEIGHT_MAX USHRT_MAX
 
+// GNU/Hurd doen't have PATH_MAX
+#ifndef PATH_MAX
+#define PATH_MAX 1024
+#endif
+
 int dump_dic(lexicon_t *lexies, FILE *output[], da_build_t *builder);
 
 /*
